.section-promise {
    background: url('../img/promise-bg.jpg') no-repeat center / cover;
}

.promise__list {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.promise__item {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: var(--spacing-6);

    width: 100%;

    padding: var(--spacing-6);
}

.promise__icon {
    display: flex;
    align-items: center;
    height: 130px;
    margin: 0 auto;
}

.promise__head {
    display: flex;
    gap: 18px;

    font-size: 1.25rem;
    font-weight: 700;
}

.promise__num {
    color: #6b66a4;
}

.promise__desc {
    line-height: 1.6;
    word-break: keep-all;
}

.section-overview {
    background: url('../img/overview-bg.jpg') no-repeat center / cover;
}

.overview__layout {
    display: flex;
    flex-direction: column;
    gap: var(--spacing-8);
}

.overview__content {
    flex: 1;

    display: flex;
    flex-direction: column;
    gap: var(--spacing-8);
}

.overview__title {
    font-size: 1.75rem;
}

.overview__divider {
    width: 1px;
    height: 40px;
    border: 1px solid var(--border-color);
}

.overview__media {
    flex: 1;
}

.overview__desc {
    line-height: 1.6;
}

.section-recommend {
    background: url('../img/recommend-bg.jpg') no-repeat center / cover;
    aspect-ratio: 1920 / 707;
}

.section-recommend .text-header .subhead {
    color: #fff;
}

.recommend-card {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    padding: var(--spacing-4);
    gap: var(--spacing-4);
}

.recommend-card__item {
    position: relative;
    border-radius: 20px;
}

.recommend-card__item img {
    border-radius: 28px;
}

.recommend-card__desc {
    position: absolute;
    bottom: 2rem;
    left: 50%;
    transform: translateX(-50%);
    
    width: 100%;

    color: #fff;
    font-size: 1.125rem;
    font-weight: 500;
    line-height: 1.6;
    white-space: pre-line;
    text-align: center;
}

@media (min-width: 768px) {
    .overview__desc {
        white-space: pre-line;
    }

    .recommend-card {
        grid-template-columns: repeat(2, 1fr);
        padding: var(--spacing-8);
        gap: var(--spacing-8);
    }

    .recommend-card__desc {
        font-size: 1.875rem;
    }
}

@media (min-width: 1024px) {
    .section-promise {
        background: url('../img/promise-bg.jpg') no-repeat center / cover;
    }

    .promise__list {
        flex-direction: row;
        align-items: stretch;
    }

    .promise__item {
        flex: 1;
        align-items: flex-start;

        padding: var(--spacing-6) var(--spacing-8);
        border-right: 1px solid var(--border-color);
    }

    .promise__item:last-child {
        border: none;
    }

    .promise__desc {
        font-size: 1.125rem;
    }

    .overview__layout {
        flex-direction: row;
        align-items: center;
    }

    .overview__title {
        font-size: 2.5rem;
    }

    .overview__media {
        max-width: 540px;
    }

    .overview__desc {
        font-size: 1.125rem;
    }

    .recommend-card {
        grid-template-columns: repeat(4, 1fr);
        padding: var(--spacing-8);
        gap: var(--spacing-8);
    }

    .recommend-card__desc {
        font-size: 1.125rem;
    }
}

@media (min-width: 1280px) {
}

@media (min-width: 1440px) {
}